Also load compat_ioctl32 for V4L devices to load
[openwrt/svn-archive/archive.git] / include / kernel-version.mk
1 # Use the default kernel version if the Makefile doesn't override it
2
3 ifeq ($(LINUX_VERSION),)
4 ifeq ($(KERNEL),2.4)
5 LINUX_VERSION:=2.4.34
6 LINUX_RELEASE:=1
7 LINUX_KERNEL_MD5SUM:=f59665540a7f3351ea416a0dad104b55
8 else
9 LINUX_VERSION:=2.6.21.5
10 LINUX_RELEASE:=1
11 LINUX_KERNEL_MD5SUM:=2e9a302b5d514b231640227d6a2ab7bf
12 endif
13 endif
14 KERNEL:=2.$(word 2,$(subst ., ,$(strip $(LINUX_VERSION))))
15